Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.io.gml2
Class GMLConstants

    java.lang.Object
      com.vividsolutions.jts.io.gml2.GMLConstants

    public final class GMLConstants

extends java.lang.Object

Various constant strings associated with GML format.

Field Summary
`static java.lang.String` | `GML_ATTR_SRSNAME`
`static java.lang.String` | `GML_BOX`
`static java.lang.String` | `GML_COORD`
`static java.lang.String` | `GML_COORD_X`
`static java.lang.String` | `GML_COORD_Y`
`static java.lang.String` | `GML_COORD_Z`
`static java.lang.String` | `GML_COORDINATES`
`static java.lang.String` | `GML_GEOMETRY_MEMBER`
`static java.lang.String` | `GML_INNER_BOUNDARY_IS`
`static java.lang.String` | `GML_LINEARRING`
`static java.lang.String` | `GML_LINESTRING`
`static java.lang.String` | `GML_LINESTRING_MEMBER`
`static java.lang.String` | `GML_MULTI_GEOMETRY`
`static java.lang.String` | `GML_MULTI_LINESTRING`
`static java.lang.String` | `GML_MULTI_POINT`
`static java.lang.String` | `GML_MULTI_POLYGON`
`static java.lang.String` | `GML_NAMESPACE`
`static java.lang.String` | `GML_OUTER_BOUNDARY_IS`
`static java.lang.String` | `GML_POINT`
`static java.lang.String` | `GML_POINT_MEMBER`
`static java.lang.String` | `GML_POLYGON`
`static java.lang.String` | `GML_POLYGON_MEMBER`
`static java.lang.String` | `GML_PREFIX`

Constructor Summary
`GMLConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GML_NAMESPACE

    public static final java.lang.String GML_NAMESPACE

See Also:
  Constant Field Values

### GML_PREFIX

    public static final java.lang.String GML_PREFIX

See Also:
  Constant Field Values

### GML_ATTR_SRSNAME

    public static final java.lang.String GML_ATTR_SRSNAME

See Also:
  Constant Field Values

### GML_GEOMETRY_MEMBER

    public static final java.lang.String GML_GEOMETRY_MEMBER

See Also:
  Constant Field Values

### GML_POINT_MEMBER

    public static final java.lang.String GML_POINT_MEMBER

See Also:
  Constant Field Values

### GML_POLYGON_MEMBER

    public static final java.lang.String GML_POLYGON_MEMBER

See Also:
  Constant Field Values

### GML_LINESTRING_MEMBER

    public static final java.lang.String GML_LINESTRING_MEMBER

See Also:
  Constant Field Values

### GML_OUTER_BOUNDARY_IS

    public static final java.lang.String GML_OUTER_BOUNDARY_IS

See Also:
  Constant Field Values

### GML_INNER_BOUNDARY_IS

    public static final java.lang.String GML_INNER_BOUNDARY_IS

See Also:
  Constant Field Values

### GML_POINT

    public static final java.lang.String GML_POINT

See Also:
  Constant Field Values

### GML_LINESTRING

    public static final java.lang.String GML_LINESTRING

See Also:
  Constant Field Values

### GML_LINEARRING

    public static final java.lang.String GML_LINEARRING

See Also:
  Constant Field Values

### GML_POLYGON

    public static final java.lang.String GML_POLYGON

See Also:
  Constant Field Values

### GML_BOX

    public static final java.lang.String GML_BOX

See Also:
  Constant Field Values

### GML_MULTI_GEOMETRY

    public static final java.lang.String GML_MULTI_GEOMETRY

See Also:
  Constant Field Values

### GML_MULTI_POINT

    public static final java.lang.String GML_MULTI_POINT

See Also:
  Constant Field Values

### GML_MULTI_LINESTRING

    public static final java.lang.String GML_MULTI_LINESTRING

See Also:
  Constant Field Values

### GML_MULTI_POLYGON

    public static final java.lang.String GML_MULTI_POLYGON

See Also:
  Constant Field Values

### GML_COORDINATES

    public static final java.lang.String GML_COORDINATES

See Also:
  Constant Field Values

### GML_COORD

    public static final java.lang.String GML_COORD

See Also:
  Constant Field Values

### GML_COORD_X

    public static final java.lang.String GML_COORD_X

See Also:
  Constant Field Values

### GML_COORD_Y

    public static final java.lang.String GML_COORD_Y

See Also:
  Constant Field Values

### GML_COORD_Z

    public static final java.lang.String GML_COORD_Z

See Also:
  Constant Field Values

Constructor Detail

### GMLConstants

    public GMLConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD